The Spring Framework

## org.springframework.jms.core
Interface SessionCallback

    public interface SessionCallback

Callback for executing any number of operations on a provided `Session`.

To be used with the `JmsTemplate.execute(SessionCallback)` method, often implemented as an anonymous inner class.

Since:
  1.1
Author:
  Mark Pollack
See Also:
  `JmsTemplate.execute(SessionCallback)`

Method Summary
`Object` `doInJms(Session session)` Execute any number of operations against the supplied JMS `Session`, possibly returning a result.

Method Detail

### doInJms

    Object doInJms(Session session)
                   throws JMSException

  Execute any number of operations against the supplied JMS `Session`, possibly returning a result.

  Parameters:
    `session` - the JMS `Session`
  Returns:
    a result object from working with the `Session`, if any (so can be `null`)
  Throws:
    `JMSException` - if thrown by JMS API methods

The Spring Framework

Copyright © 2002-2008 The Spring Framework.